Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
agora::media::base::ColorSpace Struct Reference

`#include <AgoraMediaBase.h>`

## Public Types
enum | PrimaryID { PRIMARYID_BT709 = 1 , PRIMARYID_UNSPECIFIED = 2 , PRIMARYID_BT470M = 4 , PRIMARYID_BT470BG = 5 , PRIMARYID_SMPTE170M = 6 , PRIMARYID_SMPTE240M = 7 , PRIMARYID_FILM = 8 , PRIMARYID_BT2020 = 9 , PRIMARYID_SMPTEST428 = 10 , PRIMARYID_SMPTEST431 = 11 , PRIMARYID_SMPTEST432 = 12 , PRIMARYID_JEDECP22 = 22 }
enum | RangeID { RANGEID_INVALID = 0 , RANGEID_LIMITED = 1 , RANGEID_FULL = 2 , RANGEID_DERIVED = 3 }
enum | MatrixID { MATRIXID_RGB = 0 , MATRIXID_BT709 = 1 , MATRIXID_UNSPECIFIED = 2 , MATRIXID_FCC = 4 , MATRIXID_BT470BG = 5 , MATRIXID_SMPTE170M = 6 , MATRIXID_SMPTE240M = 7 , MATRIXID_YCOCG = 8 , MATRIXID_BT2020_NCL = 9 , MATRIXID_BT2020_CL = 10 , MATRIXID_SMPTE2085 = 11 , MATRIXID_CDNCLS = 12 , MATRIXID_CDCLS = 13 , MATRIXID_BT2100_ICTCP = 14 }
enum | TransferID { TRANSFERID_BT709 = 1 , TRANSFERID_UNSPECIFIED = 2 , TRANSFERID_GAMMA22 = 4 , TRANSFERID_GAMMA28 = 5 , TRANSFERID_SMPTE170M = 6 , TRANSFERID_SMPTE240M = 7 , TRANSFERID_LINEAR = 8 , TRANSFERID_LOG = 9 , TRANSFERID_LOG_SQRT = 10 , TRANSFERID_IEC61966_2_4 = 11 , TRANSFERID_BT1361_ECG = 12 , TRANSFERID_IEC61966_2_1 = 13 , TRANSFERID_BT2020_10 = 14 , TRANSFERID_BT2020_12 = 15 , TRANSFERID_SMPTEST2084 = 16 , TRANSFERID_SMPTEST428 = 17 , TRANSFERID_ARIB_STD_B67 = 18 }

## Public Member Functions
| ColorSpace ()
bool | validate () const

## Public Attributes
PrimaryID | primaries
TransferID | transfer
MatrixID | matrix
RangeID | range

## Member Enumeration Documentation

## ◆ PrimaryID

enum agora::media::base::ColorSpace::PrimaryID

Enumerator
PRIMARYID_BT709 |
PRIMARYID_UNSPECIFIED |
PRIMARYID_BT470M |
PRIMARYID_BT470BG |
PRIMARYID_SMPTE170M |
PRIMARYID_SMPTE240M |
PRIMARYID_FILM |
PRIMARYID_BT2020 |
PRIMARYID_SMPTEST428 |
PRIMARYID_SMPTEST431 |
PRIMARYID_SMPTEST432 |
PRIMARYID_JEDECP22 |

## ◆ RangeID

enum agora::media::base::ColorSpace::RangeID

Enumerator
RANGEID_INVALID |
RANGEID_LIMITED |
RANGEID_FULL |
RANGEID_DERIVED |

## ◆ MatrixID

enum agora::media::base::ColorSpace::MatrixID

Enumerator
MATRIXID_RGB |
MATRIXID_BT709 |
MATRIXID_UNSPECIFIED |
MATRIXID_FCC |
MATRIXID_BT470BG |
MATRIXID_SMPTE170M |
MATRIXID_SMPTE240M |
MATRIXID_YCOCG |
MATRIXID_BT2020_NCL |
MATRIXID_BT2020_CL |
MATRIXID_SMPTE2085 |
MATRIXID_CDNCLS |
MATRIXID_CDCLS |
MATRIXID_BT2100_ICTCP |

## ◆ TransferID

enum agora::media::base::ColorSpace::TransferID

Enumerator
TRANSFERID_BT709 |
TRANSFERID_UNSPECIFIED |
TRANSFERID_GAMMA22 |
TRANSFERID_GAMMA28 |
TRANSFERID_SMPTE170M |
TRANSFERID_SMPTE240M |
TRANSFERID_LINEAR |
TRANSFERID_LOG |
TRANSFERID_LOG_SQRT |
TRANSFERID_IEC61966_2_4 |
TRANSFERID_BT1361_ECG |
TRANSFERID_IEC61966_2_1 |
TRANSFERID_BT2020_10 |
TRANSFERID_BT2020_12 |
TRANSFERID_SMPTEST2084 |
TRANSFERID_SMPTEST428 |
TRANSFERID_ARIB_STD_B67 |

## Constructor & Destructor Documentation

## ◆ ColorSpace()

agora::media::base::ColorSpace::ColorSpace | ( |  | ) |
| inline

## Member Function Documentation

## ◆ validate()

bool agora::media::base::ColorSpace::validate | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ primaries

PrimaryID agora::media::base::ColorSpace::primaries

## ◆ transfer

TransferID agora::media::base::ColorSpace::transfer

## ◆ matrix

MatrixID agora::media::base::ColorSpace::matrix

## ◆ range

RangeID agora::media::base::ColorSpace::range